GET
https://api.cryptohopper.com/v1/strategy/{strategy_id}
Returns the name, description and image of one of the user's own strategies. The indicator config is not included.
OAuth scope:
read About scopes
For own strategies market_id and hidden_configuration are always null and link has no item ID. config is the indicator list of the strategy, in the shape Create strategy and Edit strategy accept, so it can be changed and sent back with Edit strategy.
Example request
curl "https://api.cryptohopper.com/v1/strategy/STRATEGY_ID" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/strategy/STRATEGY_ID', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/strategy/STRATEGY_ID",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/strategy/STRATEGY_ID');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
strategy_id |
string | Required | ID of the strategy. |
Response
{
"data": {
"type": "strategy",
"id": "369000",
"market_id": null,
"name": "RSI and SAR",
"description": "Buys on RSI oversold with a SAR trend filter",
"image": "https://cdn.cryptohopper.com/images/strategies/user/369000_2026-09-01-10-15-00.jpg",
"hidden_configuration": null,
"created_date": "2026-09-01 10:15:00",
"link": "https://www.cryptohopper.com/marketplace/item?item_id=",
"config": [
{
"id": "121",
"name": "RSI with region crossovers (RSI)",
"type": "buy",
"params": {
"candle_value": {
"type": "select",
"name": "OHLCV Value",
"options": [
"open",
"close",
"high",
"low",
"volume"
],
"default": "close"
},
"period": {
"type": "number",
"step": 1,
"min": 1,
"max": 500,
"name": "RSI Period",
"default": 14
},
"oversold": {
"type": "number",
"step": 0.01,
"min": 0,
"max": 100,
"name": "Oversold threshold",
"default": 30
},
"overbought": {
"type": "number",
"step": 0.01,
"min": 0,
"max": 100,
"name": "Overbought threshold",
"default": 70
},
"region_type": {
"type": "select",
"name": "Signal on region",
"options": [
"in",
"out"
],
"default": "in"
}
},
"chartperiod": "900",
"candle_pattern": 0,
"necessary": 1,
"keep_signal": 0
}
],
"min_buys": "1",
"min_sells": "0"
}
}